## bats 1.13.0

=== man/Makefile ===
# Makefile
#
# bats-core manpages
#
RONN := ronn -W
PAGES := bats.1 bats.7
ORG := bats-core
MANUAL := 'Bash Automated Testing System'
ISOFMT := $(shell date -I)
RM := rm -f

.PHONY: all clean

all: $(PAGES)

bats.1: bats.1.ronn
	$(RONN) --date=$(ISOFMT) --manual=$(MANUAL) --organization=$(ORG) --roff $<

bats.7: bats.7.ronn
	$(RONN) --date=$(ISOFMT) --manual=$(MANUAL) --organization=$(ORG) --roff $<

clean:
	$(RM) $(PAGES)

=== docs/source/requirements.txt ===
sphinxcontrib-programoutput
recommonmark

## bats 0.4.0

=== debian/changelog ===
bats (0.4.0-1ubuntu4) wily; urgency=medium

  * Set TERM for running the tests when not set or set to unknown.
  * Apply upstream pull requests #101 to print the output of failed tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 20:39:14 +0200

bats (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #709135)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 06 Dec 2014 21:24:26 -0500

=== debian/control ===
Source: bats
Section: shells
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/sstephenson/bats
Vcs-Git: git://github.com/neurodebian/bats -b debian
Vcs-Browser: https://github.com/neurodebian/bats

Package: bats
Architecture: all
Depends: ${misc:Depends}
Description: bash automated testing system
 Bats is a TAP-compliant testing framework for Bash. It provides a
 simple way to verify that the UNIX programs you write behave as
 expected.  Bats is most useful when testing software written in Bash,
 but you can use it to test any UNIX program.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# main packaging script based on dh7 syntax
%:
	dh $@

override_dh_auto_install:
	./install.sh debian/bats/usr

override_dh_auto_test:
	set -e; \
	if [ x$$TERM = x ] || [ x$$TERM = xunknown ]; then \
	  export TERM=dumb; \
	fi; \
	bin/bats --tap test

## bats 1.1.0+git104-g1c83a1b

=== debian/changelog ===
bats (1.1.0+git104-g1c83a1b-1) unstable; urgency=medium

  * New upstream snapshot from v1.1.0-104-g1c83a1b 
    - adds --filter argument
  * Needs GNU's (not moreutils) parallel command line tool.
    Added to B-Depends (for tests) and Recommends.
    ATM no proper sensing is done, so parallel runs might fail if there is
    no GNU parallel. See https://github.com/bats-core/bats-core/issues/240

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Aug 2019 11:52:32 -0400

bats (1.1.0-1) unstable; urgency=medium

  * Fresh upstream release
    - upstream development was "forked" to be done under
      https://github.com/bats-core/bats-core
    - adjusted debian/control Homepage (Closes: #925095)
      (thanks Kevin Otte for the initial report)
  * Refreshed and then disabled deb_libexec_to_lib patch - ship 
    under /usr/libexec to stay consistent with upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Aug 2019 11:47:09 -0400

bats (0.4.0-2) UNRELEASED; urgency=medium

  * Use secure URI in Vcs-Git control header.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 12 Sep 2018 03:36:41 +0100

bats (0.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set TERM=dumb for tests to avoid FTBFS (Closes: #798296) and
    Using dumb to keep the build reproducible.

 -- Tobias Frost <tobi@debian.org>  Sun, 25 Sep 2016 11:40:12 +0200

=== debian/control ===
Source: bats
Section: shells
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9), parallel
Standards-Version: 4.3.0
Homepage: https://github.com/bats-core/bats-core
Vcs-Git: https://github.com/neurodebian/bats -b debian
Vcs-Browser: https://github.com/neurodebian/bats

Package: bats
Architecture: all
Depends: ${misc:Depends}
Recommends: parallel
Description: bash automated testing system
 Bats is a TAP-compliant testing framework for Bash. It provides a
 simple way to verify that the UNIX programs you write behave as
 expected.  Bats is most useful when testing software written in Bash,
 but you can use it to test any UNIX program.

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,5 @@
 	./install.sh debian/bats/usr
 
 override_dh_auto_test:
-	set -e; \
-	if [ x$$TERM = x ] || [ x$$TERM = xunknown ]; then \
-	  export TERM=dumb; \
-	fi; \
-	bin/bats --tap test
+	TERM=dumb bin/bats --tap test

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/bats-$1.tar.gz/ \
https://github.com/bats-core/bats-core/tags .*/v?(\d[\d\.]+)\.tar\.gz

## bats 1.2.1

=== debian/changelog ===
bats (1.2.1-3build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:10:09 +0000

bats (1.2.1-3) unstable; urgency=medium

  * debian/patches
    - extended 387.patch to also provide explicit PATH to bats-preprocess
      which is what was the actual cause for a failed test (which is now enabled)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Feb 2021 12:24:58 -0500

bats (1.2.1-2) unstable; urgency=medium

  * debian/patches
    - adopted patch from https://github.com/bats-core/bats-core/pull/387 to
      resolve "bats-exec-test: command not found" (Closes: #980967)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 14 Feb 2021 20:08:29 -0500

bats (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * d/rules
    - testing adjusted to provide fake $HOME needed for parallel support

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 17 Dec 2020 11:44:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bats
 Section: shells
 Priority: optional
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9), parallel
 Standards-Version: 4.3.0
 Homepage: https://github.com/bats-core/bats-core

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export HOME=$(shell mktemp -d)

# main packaging script based on dh7 syntax
%:
	dh $@

override_dh_auto_install:
	./install.sh debian/bats/usr

override_dh_auto_test:
	mkdir -p ~/.parallel && touch ~/.parallel/will-cite
	TERM=dumb bin/bats --tap test

## bats 1.7.0

=== debian/changelog ===
bats (1.7.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1009366)
  * debian/copyright: Update years and format URL

 -- Gioele Barabucci <gioele@svario.it>  Mon, 06 Jun 2022 23:36:32 +0200

bats (1.3.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches
    - 387.diff - included in the release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 May 2021 08:26:38 -0400

## bats 1.8.0

=== debian/changelog ===
bats (1.8.0-3~nd20.04+1) focal; urgency=medium

  * Backported for focal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 03 Oct 2022 12:07:42 -0400

bats (1.8.0-3) unstable; urgency=medium

  * d/watch: Use uscan-provided regexes
  * d/gbp.conf: Set only non-default values
  * d/control: Point Vcs-* fields to salsa.debian.org
  * d/control: Move to `devel` section
  * d/rules: Fix override_dh_clean
  * d/salsa-ci.yml: Enable Salsa CI
  * d/tests: Add autopkgtests
  * d/rules: Set LC_ALL=C.UTF-8

 -- Gioele Barabucci <gioele@svario.it>  Mon, 03 Oct 2022 13:50:20 +0200

bats (1.8.0-2) unstable; urgency=medium

  * debian/rules - replace debhelper-13-ism execute_after_dh_clean.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Sep 2022 21:14:34 -0400

bats (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/changelog: Remove trailing spaces
  * d/control: Update standards version to 4.6.1, no changes needed
  * d/control: Specify Rules-Requires-Root: no
  * d/control: Add Gioele Barabucci to Uploaders
  * d/copyright: Update copyright years for debian/*
  * d/patches: Remove unused patch `deb_libexec_to_lib`
  * d/patches: Add fixes for Bash 5.2 (Closes: #1020017)
  * d/rules: Remove trailing spaces
  * d/rules: Remove log files left by previous runs
  * d/watch: Update to latest standard pattern

  [ Yaroslav Halchenko ]
  * d/control: Use debhelper 12

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Sep 2022 14:18:54 -0400

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/bats-core/bats-core/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## bats 1.8.2

=== debian/changelog ===
bats (1.8.2-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Align to latest dh-make watch template
  * d/salsa-ci.yml: Include recommended Debian recipe
  * d/patches: Drop patches merged by upstream
  * d/lintian-overrides: Silence issues reported upstream
  * d/control: Mark as Multi-Arch: foreign

 -- Gioele Barabucci <gioele@svario.it>  Sun, 23 Oct 2022 16:24:02 +0200

=== debian/control ===
Source: bats
Section: devel
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Uploaders: Gioele Barabucci <gioele@svario.it>
Build-Depends: debhelper-compat (= 12), parallel
Standards-Version: 4.6.1
Homepage: https://github.com/bats-core/bats-core
Vcs-Git: https://salsa.debian.org/bats-team/bats.git
Vcs-Browser: https://salsa.debian.org/bats-team/bats
Rules-Requires-Root: no

Package: bats
Architecture: all
Depends: ${misc:Depends}
Recommends: parallel
Multi-Arch: foreign
Description: bash automated testing system
 Bats is a TAP-compliant testing framework for Bash. It provides a
 simple way to verify that the UNIX programs you write behave as
 expected.  Bats is most useful when testing software written in Bash,
 but you can use it to test any UNIX program.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/bats-core/bats-core/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## bats 1.10.0

=== debian/changelog ===
bats (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * d/gbp.conf: Use `upstream/latest` as upstream branch

 -- Gioele Barabucci <gioele@svario.it>  Sat, 22 Jul 2023 09:36:48 +0200

bats (1.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/gbp.conf: Use `debian/latest` as Debian branch
  * d/control: Use `team+bats@tracker.debian.org` as Maintainer address

 -- Gioele Barabucci <gioele@svario.it>  Tue, 27 Jun 2023 14:40:58 +0200

bats (1.9.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Update standards version to 4.6.2, no changes needed

 -- Gioele Barabucci <gioele@svario.it>  Sun, 19 Feb 2023 11:20:32 +0100

## bats 1.11.0

=== debian/changelog ===
bats (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge RC releases in experimental; upload to unstable

 -- Gioele Barabucci <gioele@svario.it>  Wed, 27 Mar 2024 12:54:04 +0100

bats (1.11.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate
  * d/patches: Drop patches merged upstream

 -- Gioele Barabucci <gioele@svario.it>  Thu, 22 Feb 2024 10:00:25 +0100

bats (1.11.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * d/patches: Add patch for unused directory /usr/share/bats
  * d/watch: Treat -RC tags as pre-releases
  * d/gbp.conf: Use debian/experimental as Debian branch

 -- Gioele Barabucci <gioele@svario.it>  Fri, 02 Feb 2024 15:53:59 +0100

## bats 1.11.1

=== debian/changelog ===
bats (1.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Gioele Barabucci <gioele@svario.it>  Tue, 03 Dec 2024 22:28:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: bats
 Section: devel
 Priority: optional
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
-Uploaders: Gioele Barabucci <gioele@svario.it>
+Maintainer: Debian Bats team <team+bats@tracker.debian.org>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Gioele Barabucci <gioele@svario.it>
 Build-Depends: debhelper-compat (= 12), parallel
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/bats-core/bats-core
 Vcs-Git: https://salsa.debian.org/bats-team/bats.git
 Vcs-Browser: https://salsa.debian.org/bats-team/bats

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,13 @@
 %:
 	dh $@
 
+override_dh_clean:
+	dh_clean
+	rm -f test/.bats/run-logs/*.log
+
 override_dh_auto_install:
 	./install.sh debian/bats/usr
 
 override_dh_auto_test:
 	mkdir -p ~/.parallel && touch ~/.parallel/will-cite
-	TERM=dumb bin/bats --tap test
-
+	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 TERM=dumb bin/bats --tap test

=== debian/tests/control ===
Tests:
 test-with-system-bats,
Depends: @, parallel

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%, versionmangle=s/-RC/~rc/" \
    https://github.com/bats-core/bats-core/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## bats 1.12.0

=== debian/changelog ===
bats (1.12.0-1) unstable; urgency=medium

  * d/control: Update to debhelper compat 13
  * d/control: Update standards version to 4.7.2, no changes needed
  * d/control: Remove the now superfluous `Rules-Requires-Root: no`
  * d/control: Remove the now superfluous `Priority: optional`
  * d/rules: Use execute_after_dh_foo instead of override_dh_foo

 -- Gioele Barabucci <gioele@svario.it>  Mon, 18 Aug 2025 18:22:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: bats
 Section: devel
-Priority: optional
 Maintainer: Debian Bats team <team+bats@tracker.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Gioele Barabucci <gioele@svario.it>
-Build-Depends: debhelper-compat (= 12), parallel
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), parallel
+Standards-Version: 4.7.2
 Homepage: https://github.com/bats-core/bats-core
 Vcs-Git: https://salsa.debian.org/bats-team/bats.git
 Vcs-Browser: https://salsa.debian.org/bats-team/bats
-Rules-Requires-Root: no
 
 Package: bats
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,10 @@
 
 export HOME=$(shell mktemp -d)
 
-# main packaging script based on dh7 syntax
 %:
 	dh $@
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -f test/.bats/run-logs/*.log
 
 override_dh_auto_install:

## bats 1.13.0

=== debian/changelog ===
bats (1.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Gioele Barabucci <gioele@svario.it>  Mon, 10 Nov 2025 23:20:55 +0100
